
From: Tom Rini <trini@kernel.crashing.org>

Currently a number of Motorola PPC32 machine will not boot, as
the final zImage isn't built correctly for them.  The problem is that
we end up setting a Makefile variable to ' y' instead of 'y'.  After
talking with Sam Ravnborg, the following is acceptable.



 25-akpm/arch/ppc/boot/simple/Makefile |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN arch/ppc/boot/simple/Makefile~moto-ppc32-booting-fix arch/ppc/boot/simple/Makefile
--- 25/arch/ppc/boot/simple/Makefile~moto-ppc32-booting-fix	Mon Dec 15 10:41:03 2003
+++ 25-akpm/arch/ppc/boot/simple/Makefile	Mon Dec 15 10:41:03 2003
@@ -73,9 +73,8 @@ zimageinitrd-$(CONFIG_GEMINI)		:= zImage
    cacheflag-$(CONFIG_K2)		:= -include $(clear_L2_L3)
 
 # kconfig 'feature', only one of these will ever be 'y' at a time.
-# The rest will be unset.
-motorola := $(CONFIG_MCPN765)$(CONFIG_MVME5100)$(CONFIG_PRPMC750) \
-$(CONFIG_PRPMC800)$(CONFIG_LOPEC)$(CONFIG_PPLUS)
+# The rest will be unset.  Each of these must be on one line.
+motorola := $(CONFIG_MCPN765)$(CONFIG_MVME5100)$(CONFIG_PRPMC750)$(CONFIG_PRPMC800)$(CONFIG_LOPEC)$(CONFIG_PPLUS)
 pcore := $(CONFIG_PCORE)$(CONFIG_POWERPMC250)
 
       zimage-$(motorola)		:= zImage-PPLUS

_
